> Agent-readable docs index: /llms.txt. Download /docs.zip to grep all markdown files locally.

---
title: "Check User Exists"
description: "Checks whether a user exists. Available for official resellers only. <Note> Read-only method — id is not needed. </Note>"
api: "POST /is-user-exists"
gridGap: 30
---

<Aside full>
  <RequestExample>
    ```bash title="cURL" lines=false
    curl -X POST "https://user-api.neverlose.cc/api/market/is-user-exists" \
      -H "Content-Type: application/json" \
      -d '{
      "user_id": 1,
      "username": "darth",
      "signature": "string"
    }'
    ```
  </RequestExample>
</Aside>

<OpenAPIEndpoint {...{"method":"post","path":"/is-user-exists","summary":"Check User Exists","description":"Checks whether a user exists.\n\n**Available for official resellers only.**\n\n\u003cNote>\nRead-only method — `id` is not needed.\n\u003c/Note>\n","parameters":[],"requestBody":{"required":true,"contentType":"application/json","schema":{"type":"object","required":["user_id","username","signature"],"properties":{"user_id":{"type":"integer"},"username":{"type":"string","description":"Username to check."},"signature":{"type":"string"}}},"examples":[]},"responses":[{"status":"200","description":"Existence status returned","schema":{"type":"object","properties":{"success":{"type":"boolean"},"succ":{"type":"boolean"},"user_exists":{"type":"boolean"}}},"examples":[]}],"security":[],"servers":[{"url":"https://user-api.neverlose.cc/api/market","description":"Production"}],"badges":[{"label":"Resellers only","color":"orange","tooltip":"Available for official resellers only"}]}} />
